﻿@model RegisterViewModel
@{
    ViewData["Title"] = "RegisterOperator";
}

<h2 style="margin-left:33%">@ViewData["Title"] users</h2>

<div class="row" style="margin-left:32%">
    <div class="col-md-6 col-xs-6">
        <form asp-route-returnUrl="@ViewData["ReturnUrl"]" method="post">
            <h4>Create a new account.</h4>
            <div asp-validation-summary="All" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Email"></label>
                <input asp-for="Email" class="form-control" />
                <span asp-validation-for="Email" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Password"></label>
                <input asp-for="Password" class="form-control" />
                <span asp-validation-for="Password" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ConfirmPassword"></label>
                <input asp-for="ConfirmPassword" class="form-control" />
                <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
            </div>
            <span>
                <button asp-controller="Account" asp-action="RegisterManager" type="submit" class="btn btn-success">
                    Register Manager
                </button>
            </span>
            <span>
                <button asp-controller="Account" asp-action="RegisterOperator" type="submit" class="btn btn-success">
                    Register Operator
                </button>
            </span>
        </form>
    </div>
</div>

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}
